/*
 * pic16f8x.h
 *
 * Copyright (C) 2004 Intel Corp.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Author: Drew Moseley (drew.moseley@intel.com)
 *
 * Device driver for Microchip pic16f8x PIC Controllers.
 *
 * This driver is adapted from the ST M41ST85W driver
 *
 */
#ifndef PIC16F8X_H
#define PIC16F8X_H

#define PIC16F8X_I2C_SLAVE_ADDR	      0x30

#define PIC16F8X_BEGIN_MSG            0x0F
#define PIC16F8X_CLEAR_INT            0x80
#define PIC16F8X_MSG_LEN              3

#define PIC16F8X_MSGID_NAK            0x0
#define PIC16F8X_MSGID_ACK            0x1
#define PIC16F8X_MSGID_IOP_ACTIVE     0x2
#define PIC16F8X_MSGID_SHUTDOWN_COMP  0x3
#define PIC16F8X_MSGID_QUERY_MSG      0x4

#define PIC16F8X_ACK                  0x1
#define PIC16F8X_NACK                 0x0

#define PIC16F8X_QUERY_SUCCESS        0x2
#define PIC16F8X_QUERY_FAILURE        0x1

#define PIC16F8X_QUERY_NONE           0x00
#define PIC16F8X_QUERY_REFRESH_IP     0x10
#define PIC16F8X_QUERY_SOFT_SHUTDOWN  0x12
#define PIC16F8X_QUERY_REQUEST_DATA   0x13

#define PIC16F8X_MODE_INTERRUPT       0x15
#define PIC16F8X_MODE_POLLED          0x16

#define PROC_PIC16F8X_NAME	"driver/pic16f8x"

#endif // PIC16F8X_H
