/*
 *  Copyright (C) 2004 Thecus Technology Corp. 
 *
 *      Written by Y.T. Lee (yt_lee@thecus.com)
 *
 *      based on linux/drivers/i2c/chips/rtc8564.h
 *
 *  Copyright (C) 2002-2004 Stefan Eletzhofer
 *
 *	based on linux/drivers/acron/char/pcf8583.h
 *  Copyright (C) 2000 Russell King
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#define GPIO_SYS_BUSY 0
#define GPIO_SYS_FAIL 1
#define GPIO_LED_RESET 2
#define GPIO_SYS_RESET 3
#define GPIO_COPY_BTN 0
#define GPIO_PWR_BTN 5

#define LED_PSC0 0x2
#define LED_PWM0 0x3
#define LED_PSC1 0x4
#define LED_PWM1 0x5
#define LED_LS0 0x6
#define LED_LS1 0x7
#define LED_LS2 0x8
#define LED_LS3 0x9

#define LED_ON 0x1
#define LED_OFF 0x0
#define LED_BLINK1 0x2
#define LED_BLINK2 0x3

struct rtc_tm {
	unsigned char	secs;
	unsigned char	mins;
	unsigned char	hours;
	unsigned char	mday;
	unsigned char	mon;
	unsigned short	year; /* xxxx 4 digits :) */
	unsigned char	wday;
};

struct mem {
	unsigned int	loc;
	unsigned int	nr;
	unsigned char	*data;
};

#define RTC_GETDATETIME	0
#define RTC_SETTIME	1
#define RTC_SETDATETIME	2
#define RTC_GETCTRL	3
#define RTC_SETCTRL	4
#define MEM_READ	5
#define MEM_WRITE	6

#define RS372_REG_SEC	       	0x1 /* x    4 2 1 | 8 4 2 1 */
#define RS372_REG_MIN	       	0x2 /* x    4 2 1 | 8 4 2 1 */
#define RS372_REG_HR	       	0x3 /* x    x 2 1 | 8 4 2 1 */
#define RS372_REG_WDAY		0x4 /* x    x x x | x 4 2 1 */
#define RS372_REG_DAY	       	0x5 /* x    x 2 1 | 8 4 2 1 */
#define RS372_REG_MON   	0x6 /* x    x x 1 | 8 4 2 1 */
#define RS372_REG_YEAR		0x7 /* 8    4 2 1 | 8 4 2 1 */
#define RS372_REG_TIME_TRIM	0x8 /* #XSL 6 5 4 | 3 2 1 0 */
#define RS372_REG_AL_A_MIN     	0x9 /* x    4 2 1 | 8 4 2 1 */
#define RS372_REG_AL_A_HR     	0xa /* x    x 2 1 | 8 4 2 1 */
#define RS372_REG_AL_A_WDAY    	0xb /* x    6 5 4 | 3 2 1 0 */
#define RS372_REG_AL_B_MIN     	0xc /* x    4 2 1 | 8 4 2 1 */
#define RS372_REG_AL_B_HR     	0xd /* x    x 2 1 | 8 4 2 1 */
#define RS372_REG_AL_B_WDAY    	0xe /* x    6 5 4 | 3 2 1 0 */
#define RS372_REG_CTRL1		0xf /* AALE ABLE SL2 SL1 | T1 CT2 CT1 CT0 */
#define RS372_REG_CTRL2		0x0 /* x  x 12/24 ADJ | #CLEN CTFG AAFG BAFG*/

/* Control reg */
#define RS372_CTRL1_TEST1		(1<<3)
#define RS372_CTRL1_STOP		(1<<5)
#define RS372_CTRL1_TEST2		(1<<7)

#define RS372_CTRL2_TIE		(1<<0)
#define RS372_CTRL2_AIE		(1<<1)
#define RS372_CTRL2_TF		(1<<2)
#define RS372_CTRL2_AF		(1<<3)
#define RS372_CTRL2_TI_TP		(1<<4)


/* Timer CTRL */
#define RS372_TD_4096HZ		(0x0)
#define RS372_TD_64HZ			(0x1)
#define RS372_TD_1HZ			(0x2)
#define RS372_TD_1_60HZ		(0x3)

#define I2C_DRIVERID_RS372 0xf000
#define I2C_DRIVERID_PCA_9532 0xf001
#define I2C_DRIVERID_F75373 0xf002

int check_bit(unsigned char val, int bn);

#include <linux/wait.h>

wait_queue_head_t thecus_event_queue;

