/*******************************************************************************
  Copyright (c) 2003-2005, Intel Corporation
  All rights reserved.

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2 as published
  by the Free Software Foundation. Alternatively, this software may be
  distributed under the terms of the BSD license. Please see the accompanied
  file COPYING for copyright licensing terms.
*******************************************************************************/
#ifndef GD_SATASCSI_H
#define GD_SATASCSI_H

// defines
#define SCSI_STAT(driver, host, msg, status) \
                ((status << 1) | (msg << 8) | (host << 16) | (driver << 24))

// Check to see if queue empty
#define queue_empty(queue) list_empty(queue)

/* Function Prototypes */
int free_count(DEVICE_INFO_T *dev);
CMD_INFO_T * freeq_pop(DEVICE_INFO_T *dev);
void freeq_push(DEVICE_INFO_T *dev, CMD_INFO_T *cmd_info);

int gdx_build_sense(struct scsi_cmnd *SCpnt, int which);
int gdx_translate_10bytes(struct scsi_cmnd *SCpnt, void (*done) (struct scsi_cmnd *));
int gdx_translate_6bytes(struct scsi_cmnd *SCpnt, void (*done) (struct scsi_cmnd *));
int gdx_config_device(struct scsi_cmnd *);
int gdx_adapter_inquiry(struct scsi_cmnd *SCpnt);

// void gdx_service_queue(DEVICE_INFO_T *dev_info);

#endif
