/*******************************************************************************
  Copyright (c) 2003-2005, Intel Corporation
  All rights reserved.

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2 as published
  by the Free Software Foundation. Alternatively, this software may be
  distributed under the terms of the BSD license. Please see the accompanied
  file COPYING for copyright licensing terms.
*******************************************************************************/

/******************************************************************************/
/*                                                                            */
/*                  I N C L U D E   S T A T E M E N T S                       */
/*                                                                            */
/******************************************************************************/

#include <OSL.h>
#include <sata_globals.h>

/******************************************************************************/
/*                                                                            */
/*    V A R I A B L E   A N D   S T R U C T U R E   D E F I N I T I O N S     */
/*                                                                            */
/******************************************************************************/

const INT INVALID_TAG = -1; /* invalid {adapter,controller,port,device}Tag    */

/* The following pointer arrays are Initialized to NULL_POINTERs in InitLib() */

/* Array of pointers to adapterInfo structures.                               */
ADAPTER_INFO_T *adapters_gp[MAX_ADAPTERS];

/* Array of pointers to controllerInfo structures.                            */
CONTROLLER_INFO_T *controllers_gp[MAX_CONTROLLERS];

/* Array of pointers to portInfo structures.                                  */
PORT_INFO_T *ports_gp[MAX_PORTS];

/* Array of pointers to devInfo structures.                                   */
DEV_INFO_T *devices_gp[MAX_DEVICES];

#ifdef SATA_DEBUG

/* Global debug counter */
INT sataDebugCounter;
#endif


/* Global default features list */
SATA_FEATURES_T devFeatures_g;

