/*******************************************************************************
  Copyright (c) 2003-2005, Intel Corporation
  All rights reserved.

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2 as published
  by the Free Software Foundation. Alternatively, this software may be
  distributed under the terms of the BSD license. Please see the accompanied
  file COPYING for copyright licensing terms.
*******************************************************************************/

/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*   DESCRIPTION                                                              */
/*                                                                            */
/*       This file contains all the global declarations for the SATA library. */
/*                                                                            */
/******************************************************************************/

#ifndef SATA_GLOBALS_HEADER
#define SATA_GLOBALS_HEADER

/******************************************************************************/
/*                                                                            */
/*                  I N C L U D E   S T A T E M E N T S                       */
/*                                                                            */
/******************************************************************************/

#include <sata_types.h> /* Common data types used in SATA driver */
#include <sata_adapter.h>
#include <sata_controller.h>
#include <sata_port.h>
#include <sata_device.h>

/******************************************************************************/
/*                                                                            */
/*    V A R I A B L E   A N D   S T R U C T U R E   D E F I N I T I O N S     */
/*                                                                            */
/******************************************************************************/

/* The following pointer arrays are Initialized to NULL_POINTERs in InitLib() */

/* Array of pointers to adapterInfo structures.                               */
extern ADAPTER_INFO_T *adapters_gp[MAX_ADAPTERS];

/* Array of pointers to controllerInfo structures.                            */
extern CONTROLLER_INFO_T *controllers_gp[MAX_CONTROLLERS];

/* Array of pointers to portInfo structures.                                  */
extern PORT_INFO_T *ports_gp[MAX_PORTS];

/* Array of pointers to devInfo structures.                                   */
extern DEV_INFO_T *devices_gp[MAX_DEVICES];

#ifdef SATA_DEBUG
/* Global debug counter */
extern INT sataDebugCounter;
#endif

/* Global device feature list */
extern SATA_FEATURES_T devFeatures_g;

#endif /* SATA_GLOBALS_HEADER */
